### Method

# Gtk TreeListModelget_row

#### Declaration [src]

    GtkTreeListRow*
    gtk_tree_list_model_get_row (
      GtkTreeListModel* self,
      guint position
    )

#### Description [src]

Gets the row object for the given row.

If `position` is greater than the number of items in `self`, `NULL` is returned.

The row object can be used to expand and collapse rows as well as to inspect its position in the tree. See its documentation for details.

This row object is persistent and will refer to the current item as long as the row is present in `self`, independent of other rows being added or removed.

If `self` is set to not be passthrough, this function is equivalent to calling g_list_model_get_item().

Do not confuse this function with `gtk_tree_list_model_get_child_row()`.

#### Parameters

`position`

  Type: `guint`

  The position of the row to fetch.

#### Return value

Type: `GtkTreeListRow`

The row item.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.